#### Basics

SiteAccess started as a Product to enable Zope Virtual Hosting, then became more generalized. Virtual Hosting is the ability to publish sub-objects of a Zope hierarchy as though they were the root of their own site. For example, it allows 'http:/www.silly-walks.org/current' to publish the Zope object 'silly-walks/current' instead of just 'current'.

#### Usage

See:

- Virtual Site Hosting
- Other Uses of Access Rules

#### What does SiteAccess do?

SiteAccess provides the ability to force ZPublisher to call objects of your choice as it enters any folder. With this capability, you can designate a method in the Zope root to examine the request parameters and alter or replace the URL.

If an Access Rule is broken, and is preventing normal access, it can be disabled by restarting Zope with environment variable SUPPRESS_ACCESSRULE set.